commit eb24fbc4d06fca4f525f28f41f21081969a5427d
Author: jklowden <jklowden>
Date:   Wed Jan 27 03:21:07 2010 +0000

    link libiconv cf ML 26 Jan 2010

diff --git a/ChangeLog b/ChangeLog
index 5d226f9..708072d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Jan 26 22:18:16 EST 2010	JK Lowden <jklowden@freetds.org>
+	* src/apps/Makefile.am src/dblib/dblib.c
+	* src/pool/Makefile.am src/server/Makefile.am
+	- link libiconv cf ML 26 Jan 2010
+
 Tue Jan 26 21:25:59 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/winsetup.c: small comments
 
@@ -2203,4 +2208,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2959 2010/01/26 20:26:11 freddy77 Exp $
+$Id: ChangeLog,v 1.2960 2010/01/27 03:21:07 jklowden Exp $
diff --git a/src/apps/Makefile.am b/src/apps/Makefile.am
index 4545913..2ee6431 100644
--- a/src/apps/Makefile.am
+++ b/src/apps/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.29 2009/01/09 04:59:58 jklowden Exp $
+# $Id: Makefile.am,v 1.30 2010/01/27 03:21:08 jklowden Exp $
 
 AM_CPPFLAGS	= -I$(top_srcdir)/include 
 
@@ -16,7 +16,7 @@ endif
 
 dist_bin_SCRIPTS = osql
 
-freebcp_LDADD	= ../dblib/libsybdb.la ../replacements/libreplacements.la $(NETWORK_LIBS)
+freebcp_LDADD	= ../dblib/libsybdb.la ../replacements/libreplacements.la $(LIBICONV) $(NETWORK_LIBS)
 freebcp_SOURCES = freebcp.c freebcp.h
 
 tsql_LDADD	= ../tds/libtds.la \
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index e1a9d04..7f527e9 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.359 2010/01/10 14:43:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.360 2010/01/27 03:21:08 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -7805,7 +7805,7 @@ static const DBLIB_ERROR_MESSAGE dblib_error_messages[] =
 int
 dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 {
-	static const char int_exit_text[] = "FreeTDS: db-lib: exiting because client error handler returned %d for msgno %d\n";
+	static const char int_exit_text[] = "FreeTDS: db-lib: exiting because client error handler returned %s for msgno %d\n";
 	static const char int_invalid_text[] = "%s (%d) received from client-installed error handler for nontimeout for error %d."
 					       "  Treating as INT_EXIT\n";
 	static const DBLIB_ERROR_MESSAGE default_message = { 0, EXCONSISTENCY, "unrecognized msgno" };
@@ -7814,6 +7814,7 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 	
 	int i, rc = INT_CANCEL;
 	char *os_msgtext = strerror(errnum), *rc_name;
+	char db_msgtext[32] = "INT_CANCEL"; 
 
 	tdsdump_log(TDS_DBG_FUNC, "dbperror(%p, %d, %ld)\n", dbproc, msgno, errnum);	/* dbproc can be NULL */
 
@@ -7927,6 +7928,7 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 		return rc;	/* normal case */
 		break;
 	default:
+		sprintf(db_msgtext, "%d", rc);
 		tdsdump_log(TDS_DBG_SEVERE, int_invalid_text, "Invalid return code", rc, msgno);
 		/* fall through */
 	case INT_EXIT:
@@ -7934,7 +7936,7 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 			/* Microsoft behavior */
 			return INT_CANCEL;
 		}
-		fprintf(stderr, int_exit_text, rc, msgno);
+		fprintf(stderr, int_exit_text, db_msgtext, msgno);
 		tdsdump_log(TDS_DBG_SEVERE, int_exit_text, rc, msgno);
 		break;
 	}
diff --git a/src/pool/Makefile.am b/src/pool/Makefile.am
index 09be616..eee0a2d 100644
--- a/src/pool/Makefile.am
+++ b/src/pool/Makefile.am
@@ -1,10 +1,10 @@
-# $Id: Makefile.am,v 1.14 2006/03/27 07:22:54 jklowden Exp $
+# $Id: Makefile.am,v 1.15 2010/01/27 03:21:08 jklowden Exp $
 AM_CPPFLAGS	=	-I$(top_srcdir)/include -I. -I$(SERVERDIR)
 bin_PROGRAMS	=	tdspool
 
 tdspool_SOURCES	=	config.c main.c member.c user.c util.c pool.h
 SERVERDIR	=	../server
-LDADD		=	../server/libtdssrv.la $(NETWORK_LIBS)
+LDADD		=	../server/libtdssrv.la $(LIBICONV) $(NETWORK_LIBS)
 EXTRA_DIST	=	BUGS pool.conf
 
 ETC	=	$(DESTDIR)$(sysconfdir)
diff --git a/src/server/Makefile.am b/src/server/Makefile.am
index 3eb8bbd..c2eb3f4 100644
--- a/src/server/Makefile.am
+++ b/src/server/Makefile.am
@@ -1,8 +1,8 @@
-# $Id: Makefile.am,v 1.16 2007/03/12 13:28:51 freddy77 Exp $
+# $Id: Makefile.am,v 1.17 2010/01/27 03:21:08 jklowden Exp $
 AM_CPPFLAGS	=	-I$(top_srcdir)/include
 noinst_LTLIBRARIES	=	libtdssrv.la
 libtdssrv_la_SOURCES=	query.c server.c login.c
 libtdssrv_la_LIBADD =	../tds/libtds.la ../replacements/libreplacements.la $(NETWORK_LIBS) $(LIBICONV) $(FREETDS_LIBGCC)
 noinst_PROGRAMS	= tdssrv
-tdssrv_LDADD	= libtdssrv.la $(NETWORK_LIBS)
+tdssrv_LDADD	= libtdssrv.la $(LIBICONV) $(NETWORK_LIBS)
 tdssrv_SOURCES	= unittest.c

